<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!-- 
@author			david.cifuentes
@version 		1.0
@description	Formulario que permite realizar la adición de un afectado al trámite 
                para comunicarsele la resolución.
@cu 			Comunicar notificación de resolución

@param			managedBeanParam: ManagedBean que tiene los métodos que controlan la interfaz.
@param			banderaBusquedaRealizadaParam: bandera que determina la visualización de los componentes
                solo si ya se realizo la busqueda.
@param			afectadoParam: Afectado seleccionado.
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="1" width="100%">

    <h:form id="addAfectadoForm" onkeypress="return event.keyCode != 13;">

        <p:messages id="addAfectadoMsg" showDetail="false" />

        <p:panel header="Datos del Afectado">

            <h:panelGrid width="100%" id="datosAfectadoPanelGrid">

                <h:panelGrid columns="6" id="containerAfectado">

                    <h:panelGrid columns="2">
                        <h:outputLabel value="Tipo de persona:" for="tipoPersona"
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGrid>
                    <h:panelGrid columns="2">
                        <h:selectOneMenu id="tipoPersona" label="Tipo de persona" disabled="#{managedBeanParam.banderaPropietario}"
                                         value="#{afectadoParam.tipoPersona}" required="true">
                            <f:selectItems value="#{general.personaTipoPersonaV}" />
                            <p:ajax process="@this"
                                    update="datosAfectadoPanelGrid, containerAfectado, 
                                    containerTelsSR, containerDireccion, :addAfectadoForm:addAfectadoMsg"
                                    onstart="statusDialog2.show();"
                                    oncomplete="statusDialog2.hide();" />
                        </h:selectOneMenu>
                        <p:message for="tipoPersona" display="icon" id="tipoPersonaMsg" />
                    </h:panelGrid>

                    <h:panelGrid columns="2" rendered="#{afectadoParam.juridica}">
                        <h:outputLabel value="Tipo de solicitante:" for="tipoSolicitante"
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGrid>
                    <h:panelGrid columns="2" rendered="#{afectadoParam.juridica}">
                        <h:selectOneMenu id="tipoSolicitante" label="Tipo de solicitante"  disabled="#{managedBeanParam.banderaPropietario}"
                                         value="#{afectadoParam.tipoSolicitante}" required="true">
                            <f:selectItems value="#{managedBeanParam.tipoSolicitanteItemList}" />
                        </h:selectOneMenu>
                        <p:message for="tipoSolicitante" display="icon"
                                   id="tipoSolicitanteMsg" />
                    </h:panelGrid>

                    <h:panelGrid columns="2" rendered="#{!afectadoParam.juridica}">
                        <h:outputLabel value="Tipo de documento:" for="tipoDocumento"
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGrid>
                    <h:panelGrid columns="2" rendered="#{!afectadoParam.juridica}">
                        <h:selectOneMenu id="tipoDocumento" label="Tipo de documento"  disabled="#{managedBeanParam.banderaPropietario}"
                                         required="true" value="#{afectadoParam.tipoIdentificacion}">
                            <f:selectItems
                                value="#{general.personaTipoIdentificacionNoNitCV}" />
                        </h:selectOneMenu>
                        <p:message for="tipoDocumento" display="icon"
                                   id="tipoDocumentoMsg" />
                    </h:panelGrid>

                    <h:panelGrid columns="2">
                        <h:outputLabel value="Número de documento:" for="numDocumento"
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGrid>
                    <h:panelGrid columns="6">
                        <h:inputText value="#{afectadoParam.numeroIdentificacion}"  disabled="#{managedBeanParam.banderaPropietario}"
                                     id="numDocumento" label="Número de documento" maxlength="50"
                                     required="true">
                        </h:inputText>
                        <p:commandButton icon="ui-icon-search"  disabled="#{managedBeanParam.banderaPropietario}"
                                         process="@this, numDocumento, tipoPersona, 
                                         tipoDocumento"
                                         title="Buscar"
                                         update="datosAfectadoPanelGrid,
                                         containerAfectado,
                                         containerTelsSR,
                                         containerDireccion, :addAfectadoForm:addAfectadoMsg, panelBotonGuardar,
                                         #{componentToUpdateParam}"
                                         action="#{managedBeanParam.buscarAfectado}"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();">
                            <f:setPropertyActionListener
                                target="#{banderaBusquedaRealizadaParam}" value="true" />
                        </p:commandButton>
                        <p:message for="numDocumento" display="icon" id="numDocumentoMsg" />

                        <h:panelGrid columns="4"
                                     rendered="#{afectadoParam.juridica and banderaBusquedaRealizadaParam}">
                            <h:outputLabel value="DV:" for="digitoVerificacion"
                                           styleClass="outputLabelStyle"
                                           rendered="#{banderaBusquedaRealizadaParam}" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                            <h:inputText id="digitoVerificacion" disabled="true"  
                                         label="Digito de verificación"
                                         value="#{afectadoParam.digitoVerificacion}" maxlength="2"
                                         size="2" required="true"
                                         rendered="#{banderaBusquedaRealizadaParam}" />
                            <p:message for="digitoVerificacion" display="icon"
                                       id="digitoVerificacionMsg" />
                        </h:panelGrid>

                    </h:panelGrid>

                    <p:spacer
                        rendered="#{afectadoParam.juridica and banderaBusquedaRealizadaParam}" />

                    <h:panelGrid columns="2"
                                 rendered="#{afectadoParam.juridica and  banderaBusquedaRealizadaParam}">
                        <h:outputLabel value="Razón social:" for="razonSocial"
                                       styleClass="outputLabelStyle"
                                       rendered="#{banderaBusquedaRealizadaParam}" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGrid>

                    <h:panelGrid columns="2"
                                 rendered="#{afectadoParam.juridica and  banderaBusquedaRealizadaParam}">
                        <h:inputText id="razonSocial" label="Razón social"  disabled="#{managedBeanParam.banderaPropietario}"
                                     value="#{afectadoParam.razonSocial}" maxlength="100"
                                     required="true" size="30"
                                     rendered="#{banderaBusquedaRealizadaParam}" />
                        <p:message for="razonSocial" display="icon" id="razonSocialMsg" />
                    </h:panelGrid>

                    <h:outputLabel value="Sigla:" for="sigla"
                                   styleClass="outputLabelStyle"
                                   rendered="#{afectadoParam.juridica and  banderaBusquedaRealizadaParam}" />
                    <h:panelGrid columns="2"
                                 rendered="#{afectadoParam.juridica and  banderaBusquedaRealizadaParam}">
                        <h:inputText id="sigla" label="Sigla" maxlength="50"  disabled="#{managedBeanParam.banderaPropietario}"
                                     value="#{afectadoParam.sigla}"
                                     rendered="#{banderaBusquedaRealizadaParam}" />
                        <p:message for="sigla" display="icon" id="siglaMsg" />
                    </h:panelGrid>

                    <h:panelGrid columns="2"
                                 rendered="#{!afectadoParam.juridica and banderaBusquedaRealizadaParam}">
                        <h:outputLabel value="Primer nombre:" for="primerNombre"
                                       styleClass="outputLabelStyle"
                                       rendered="#{banderaBusquedaRealizadaParam}" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGrid>
                    <h:panelGrid columns="2"
                                 rendered="#{!afectadoParam.juridica and  banderaBusquedaRealizadaParam}">
                        <h:inputText id="primerNombre" label="Primer nombre"  
                                     disabled="#{managedBeanParam.editModeBool or managedBeanParam.banderaPropietario}"
                                     value="#{afectadoParam.primerNombre}" maxlength="100"
                                     required="true" rendered="#{banderaBusquedaRealizadaParam}" />
                        <p:message for="primerNombre" display="icon" id="primerNombreMsg" />
                    </h:panelGrid>

                    <h:outputLabel value="Segundo nombre:" for="segundoNombre"
                                   styleClass="outputLabelStyle"
                                   rendered="#{!afectadoParam.juridica and  banderaBusquedaRealizadaParam}" />
                    <h:panelGrid columns="2" rendered="#{!afectadoParam.juridica}">
                        <h:inputText id="segundoNombre" label="Segundo nombre"  
                                     disabled="#{managedBeanParam.editModeBool  or managedBeanParam.banderaPropietario}"
                                     value="#{afectadoParam.segundoNombre}" maxlength="100"
                                     rendered="#{banderaBusquedaRealizadaParam}" />
                        <p:message for="segundoNombre" display="icon"
                                   id="segundoNombreMsg" />
                    </h:panelGrid>

                    <h:panelGrid columns="2"
                                 rendered="#{!afectadoParam.juridica and banderaBusquedaRealizadaParam}">
                        <h:outputLabel value="Primer apellido:" for="primerApellido"
                                       styleClass="outputLabelStyle"
                                       rendered="#{banderaBusquedaRealizadaParam}" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGrid>
                    <h:panelGrid columns="2"
                                 rendered="#{!afectadoParam.juridica and  banderaBusquedaRealizadaParam}">
                        <h:inputText id="primerApellido" label="Primer apellido" 
                                     value="#{afectadoParam.primerApellido}" maxlength="100"
                                     disabled="#{managedBeanParam.editModeBool  or managedBeanParam.banderaPropietario}" required="true"
                                     rendered="#{banderaBusquedaRealizadaParam}" />
                        <p:message for="primerApellido" display="icon"
                                   id="primerApellidoMsg" />
                    </h:panelGrid>

                    <h:outputLabel value="Segundo apellido:" for="segundoApellido"
                                   styleClass="outputLabelStyle"
                                   rendered="#{!afectadoParam.juridica and  banderaBusquedaRealizadaParam}" />
                    <h:panelGrid columns="2"
                                 rendered="#{!afectadoParam.juridica  and banderaBusquedaRealizadaParam}">
                        <h:inputText id="segundoApellido" label="Segundo apellido"
                                     disabled="#{managedBeanParam.editModeBool  or managedBeanParam.banderaPropietario}"
                                     value="#{afectadoParam.segundoApellido}" maxlength="100"
                                     rendered="#{banderaBusquedaRealizadaParam}" />
                        <p:message for="segundoApellido" display="icon"
                                   id="segundoApellidoMsg" />
                    </h:panelGrid>

                    <p:spacer
                        rendered="#{afectadoParam.juridica and banderaBusquedaRealizadaParam}" />
                    <p:spacer
                        rendered="#{afectadoParam.juridica and banderaBusquedaRealizadaParam}" />

                    <h:outputLabel value="Correo electrónico:" for="correoE"
                                   styleClass="outputLabelStyle"
                                   rendered="#{banderaBusquedaRealizadaParam}" />
                    <h:panelGrid columns="2">
                        <h:inputText id="correoE" label="Correo electrónico"  disabled="#{managedBeanParam.banderaPropietario}"
                                     value="#{afectadoParam.correoElectronico}" maxlength="100"
                                     size="35" rendered="#{banderaBusquedaRealizadaParam}">
                            <f:validator validatorId="emailValidator" for="correoE"></f:validator>
                        </h:inputText>
                        <p:message for="correoE" display="icon" id="correoEMsg" />
                    </h:panelGrid>

                </h:panelGrid>

                <p:separator />

                <h:panelGrid id="otrosDatosPanel" columns="2" width="100%">

                    <h:panelGrid columns="4" id="containerTelsSR">
                        <h:outputLabel value="Teléfono principal:" for="telPrincipal"
                                       styleClass="outputLabelStyle"
                                       rendered="#{banderaBusquedaRealizadaParam}" />
                        <h:panelGrid columns="2"
                                     rendered="#{banderaBusquedaRealizadaParam}">
                            <h:inputText id="telPrincipal" label="Teléfono principal"  disabled="#{managedBeanParam.banderaPropietario}"
                                         value="#{afectadoParam.telefonoPrincipal}" maxlength="15"
                                         size="12" rendered="#{banderaBusquedaRealizadaParam}" />
                            <p:message for="telPrincipal" display="icon" id="telPrincipalMsg" />
                        </h:panelGrid>

                        <h:outputLabel value="Ext:" for="extPrincipal"
                                       styleClass="outputLabelStyle"
                                       rendered="#{banderaBusquedaRealizadaParam}" />
                        <h:panelGrid columns="2"
                                     rendered="#{banderaBusquedaRealizadaParam}">
                            <h:inputText id="extPrincipal"
                                         label="Extensión teléfono principal"  disabled="#{managedBeanParam.banderaPropietario}"
                                         value="#{afectadoParam.telefonoPrincipalExt}" maxlength="6"
                                         size="5" rendered="#{banderaBusquedaRealizadaParam}" />
                            <p:message for="extPrincipal" display="icon" id="extPrincipalMsg" />
                        </h:panelGrid>
                    </h:panelGrid>

                    <h:panelGrid columns="3">

                        <ui:remove>
                            <h:outputLabel styleClass="outputLabelStyle"
                                           value="¿De ser requerido acepta ser notificado por correo electrónico?"
                                           rendered="#{banderaBusquedaRealizadaParam}" />
                            <h:selectBooleanCheckbox  disabled="#{managedBeanParam.banderaPropietario}"
                                                      value="#{afectadoParam.notificacionEmailBoolean}"
                                                      rendered="#{banderaBusquedaRealizadaParam}" />
                        </ui:remove>

                        <p:spacer height="0" width="46" />
                        <h:panelGrid columns="2">
                            <h:outputLabel value="Dirección de correspondencia:"
                                           for="direccionCorr" styleClass="outputLabelStyle"
                                           rendered="#{banderaBusquedaRealizadaParam}" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" 
                                           rendered="#{banderaBusquedaRealizadaParam}" />
                        </h:panelGrid>
                        <h:panelGrid columns="2" id="containerDireccion"
                                     rendered="#{banderaBusquedaRealizadaParam}">
                            <h:inputText id="direccionCorr"
                                         label="Dirección de correspondencia" required="true"
                                         requiredMessage="La dirección de correspondencia es un campo obligatorio"
                                         value="#{afectadoParam.direccion}" size="50" maxlength="250" />
                            <p:message for="direccionCorr" display="icon"
                                       id="direccionCorrMsg" />
                        </h:panelGrid>


                    </h:panelGrid>

                    <p:spacer height="0" width="100%" />

                    <h:panelGrid columns="3">
                        <p:spacer height="0" width="46" />
                        <h:outputLabel value="Código postal:"
                                       for="cpIT" styleClass="outputLabelStyle"
                                       rendered="#{banderaBusquedaRealizadaParam}" />
                        <h:inputText id="cpIT"
                                     label="Código postal"
                                     value="#{afectadoParam.codigoPostal}" size="12" maxlength="6" rendered="#{banderaBusquedaRealizadaParam}" />

                    </h:panelGrid>
                </h:panelGrid>
            </h:panelGrid>
        </p:panel>

        <h:panelGroup id="panelBotonGuardar">
            <p:spacer height="30" width="20" />
            <p:commandButton value="Guardar" icon="ui-icon ui-icon-disk"
                             id="botonGuardar" action="#{managedBeanParam.guardarAfectado}"
                             update="#{componentToUpdateParam}" onstart="statusDialog2.show();"
                             rendered="#{banderaBusquedaRealizadaParam}"
                             oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, solicitanteYOAfectadoWV, false)">
            </p:commandButton>
        </h:panelGroup>
    </h:form>

</h:panelGrid>